using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertItemUrlList
{

    /*
        物料对应错误描述
    */
    private string? msg;


    /*
        物料对应错误码
    */
    private long? code;


    /*
        营销信息
    */
    private TaobaoTbkDgGeneralLinkConvertItemPromotionInfoDTO? promotionInfoDto;


    /*
        券信息
    */
    private TaobaoTbkDgGeneralLinkConvertCouponInfoDTO? couponInfoDto;


    /*
        链接信息
    */
    private TaobaoTbkDgGeneralLinkConvertItemLinkInfoDTO? linkInfoDto;


    /*
        入参的商品ID
    */
    private string? inputItemId;


    /*
        转链成功的场景下，需要补充说明的信息
    */
    private string? extraInfo;


    /*
        多件价券信息
    */
    private IList<TaobaoTbkDgGeneralLinkConvertItemMultiCouponPromotionInfoDTO>? multipleItemsCouponInfoList;



    [JsonPropertyName("msg")]
    public string? Msg
    {
        get => msg;
        set => this.msg = value;
    }

    [JsonPropertyName("code")]
    public long? Code
    {
        get => code;
        set => this.code = value;
    }

    [JsonPropertyName("promotion_info_dto")]
    public TaobaoTbkDgGeneralLinkConvertItemPromotionInfoDTO? PromotionInfoDto
    {
        get => promotionInfoDto;
        set => this.promotionInfoDto = value;
    }

    [JsonPropertyName("coupon_info_dto")]
    public TaobaoTbkDgGeneralLinkConvertCouponInfoDTO? CouponInfoDto
    {
        get => couponInfoDto;
        set => this.couponInfoDto = value;
    }

    [JsonPropertyName("link_info_dto")]
    public TaobaoTbkDgGeneralLinkConvertItemLinkInfoDTO? LinkInfoDto
    {
        get => linkInfoDto;
        set => this.linkInfoDto = value;
    }

    [JsonPropertyName("input_item_id")]
    public string? InputItemId
    {
        get => inputItemId;
        set => this.inputItemId = value;
    }

    [JsonPropertyName("extra_info")]
    public string? ExtraInfo
    {
        get => extraInfo;
        set => this.extraInfo = value;
    }

    [JsonPropertyName("multiple_items_coupon_info_list")]
    public IList<TaobaoTbkDgGeneralLinkConvertItemMultiCouponPromotionInfoDTO>? MultipleItemsCouponInfoList
    {
        get => multipleItemsCouponInfoList;
        set => this.multipleItemsCouponInfoList = value;
    }

}

